---
.packet_variables: &packet_variables
  CI_PLATFORM: "packet"
  SSH_USER: "kubespray"

.packet: &packet
  extends: .testcases
  variables:
    <<: *packet_variables
  tags:
    - packet

.test-upgrade: &test-upgrade
  variables:
    UPGRADE_TEST: "graceful"

packet_ubuntu18-flannel-aio:
  stage: deploy-part1
  <<: *packet
  when: on_success
  except: ['triggers']
  only: ['master', /^pr-.*$/]

# ### PR JOBS PART2

packet_centos7-flannel-addons:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']
  only: [/^pr-.*$/]

# ### MANUAL JOBS

packet_centos-weave-kubeadm-sep:
  stage: deploy-part2
  <<: *packet
  when: on_success
  only: ['triggers']

packet_ubuntu-weave-sep:
  stage: deploy-part2
  <<: *packet
  when: manual
  only: ['triggers']

# # More builds for PRs/merges (manual) and triggers (auto)

packet_ubuntu-canal-ha:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_ubuntu-canal-kubeadm:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_ubuntu-flannel-ha:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']

packet_ubuntu-contiv-sep:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_ubuntu-cilium-sep:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_rhel7-weave:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_debian9-calico-upgrade:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_rhel7-canal-sep:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_centos7-calico-ha:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_centos7-cilium:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_rhel7-cilium:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_centos7-kube-router:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_centos7-multus-calico:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_opensuse-canal:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_ubuntu-rkt-sep:
  stage: deploy-part2
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]

packet_ubuntu-kube-router-sep:
  stage: deploy-special
  <<: *packet
  when: manual
  except: ['triggers']
  only: ['master', /^pr-.*$/]
